CYSIGNALS-CSI(1)

NAME
cysignals-CSI - debugger information extractor for Python processes

SYNOPSIS
cysignals-CSI [-h] [-p PID] [-nc] [-k]

DESCRIPTION
Attach the debugger to a Python process (given by its pid) and extract as much information about its internal state as possible without any user interaction. The target process is frozen while this script runs and resumes when it is finished.

  options:

-h, --help
    show this help message and exit

-p, --pid PID
    the pid to attach to.

-nc, --no-color
    turn off syntax-highlighting.

-k, --kill
    kill after inspection is finished.